<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: RTL Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classBLOCK__SYNC__SM.html">BLOCK_SYNC_SM</a></li><li class="navelem"><a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html">RTL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">RTL Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classBLOCK__SYNC__SM_1_1RTL-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:ae9266f489a0bb9454c845a84eb060b56"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae9266f489a0bb9454c845a84eb060b56"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#ae9266f489a0bb9454c845a84eb060b56">PROCESS_888</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">USER_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a32fa1553f26d5fde81bed39f081010a3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32fa1553f26d5fde81bed39f081010a3"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a32fa1553f26d5fde81bed39f081010a3">PROCESS_889</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">USER_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a76e50fe008fc7398f9e2bef7074fb413"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a76e50fe008fc7398f9e2bef7074fb413"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a76e50fe008fc7398f9e2bef7074fb413">PROCESS_890</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">USER_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a7a5a3f79e97ada2b677b81cf5eaf5faf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7a5a3f79e97ada2b677b81cf5eaf5faf"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a7a5a3f79e97ada2b677b81cf5eaf5faf">PROCESS_891</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">USER_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aea98b4b9c2d357ae6b85f664e782cf46"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aea98b4b9c2d357ae6b85f664e782cf46"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#aea98b4b9c2d357ae6b85f664e782cf46">PROCESS_892</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">USER_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a8266c9f30f67c43b39183ffd2ee23b0d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8266c9f30f67c43b39183ffd2ee23b0d"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a8266c9f30f67c43b39183ffd2ee23b0d">PROCESS_893</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">USER_CLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Constants"></a>
Constants</h2></td></tr>
 <tr class="memitem:a69980d627ebc4b33f267c4e230c8147c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a69980d627ebc4b33f267c4e230c8147c"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a69980d627ebc4b33f267c4e230c8147c">DLY</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">time</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">10</span> <span class="vhdlchar"> </span><span class="vhdlchar">ps</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:acdbe383c4c66948351814427ae473abb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acdbe383c4c66948351814427ae473abb"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#acdbe383c4c66948351814427ae473abb">next_begin_c</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a877a0055583442e3703a17157d288129"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a877a0055583442e3703a17157d288129"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a877a0055583442e3703a17157d288129">next_sh_invalid_c</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae9df25642ff9d02474cb4260767c8f89"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae9df25642ff9d02474cb4260767c8f89"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#ae9df25642ff9d02474cb4260767c8f89">next_sh_valid_c</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3e8707b3f7518e3dc15941d2952651ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e8707b3f7518e3dc15941d2952651ec"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a3e8707b3f7518e3dc15941d2952651ec">next_slip_c</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a90b124e02b090d1813af18c5c1424e14"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a90b124e02b090d1813af18c5c1424e14"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a90b124e02b090d1813af18c5c1424e14">next_sync_done_c</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa529e910c88fec70668b74181ef9e2fe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa529e910c88fec70668b74181ef9e2fe"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#aa529e910c88fec70668b74181ef9e2fe">next_test_sh_c</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a126ac2fc13916997fcec90d0acfc5f70"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a126ac2fc13916997fcec90d0acfc5f70"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a126ac2fc13916997fcec90d0acfc5f70">sh_count_equals_max_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a38faf261e559797e47fe2f90f9822b83"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a38faf261e559797e47fe2f90f9822b83"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a38faf261e559797e47fe2f90f9822b83">sh_invalid_cnt_equals_max_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2f38525472c61ea3c2b1154891db1596"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2f38525472c61ea3c2b1154891db1596"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a2f38525472c61ea3c2b1154891db1596">sh_invalid_cnt_equals_zero_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2a09c36b130445e6985a8992011c9f40"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2a09c36b130445e6985a8992011c9f40"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a2a09c36b130445e6985a8992011c9f40">slip_done_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a16214372ebb313bf75fc4dbea0b2afa0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a16214372ebb313bf75fc4dbea0b2afa0"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a16214372ebb313bf75fc4dbea0b2afa0">slip_pulse_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8279f5bf11282757e2cef73256d0eaf3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8279f5bf11282757e2cef73256d0eaf3"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a8279f5bf11282757e2cef73256d0eaf3">sync_found_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a40b66e4c3793ff3ac9f01ac9cea13da7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a40b66e4c3793ff3ac9f01ac9cea13da7"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a40b66e4c3793ff3ac9f01ac9cea13da7">begin_r</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a62944059f7d4bb21e419eab2f020b5f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a62944059f7d4bb21e419eab2f020b5f2"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a62944059f7d4bb21e419eab2f020b5f2">blocksync_out_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aae04fa9bf923ed000d76952e42e77862"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae04fa9bf923ed000d76952e42e77862"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#aae04fa9bf923ed000d76952e42e77862">rxgearboxslip_out_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a41e4d9e4c88b73342f72ebc4f775676d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a41e4d9e4c88b73342f72ebc4f775676d"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a41e4d9e4c88b73342f72ebc4f775676d">sh_invalid_r</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ace98cc09067b7657f6727096f63fb8d5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace98cc09067b7657f6727096f63fb8d5"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#ace98cc09067b7657f6727096f63fb8d5">sh_valid_r</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a97c328d4232abc4d8f7366547fc1f41c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a97c328d4232abc4d8f7366547fc1f41c"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a97c328d4232abc4d8f7366547fc1f41c">slip_count_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a49cd48259538f038812f76ff8d06e340"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a49cd48259538f038812f76ff8d06e340"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a49cd48259538f038812f76ff8d06e340">slip_r</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa265c64ed516adfc4be5756fa246c4c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa265c64ed516adfc4be5756fa246c4c9"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#aa265c64ed516adfc4be5756fa246c4c9">sync_done_r</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7436804fcc34d69a7ef7b734321a6245"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7436804fcc34d69a7ef7b734321a6245"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a7436804fcc34d69a7ef7b734321a6245">sync_header_count_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">9</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a79ed0e018224f6ad4b03f98caf6ebd95"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a79ed0e018224f6ad4b03f98caf6ebd95"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#a79ed0e018224f6ad4b03f98caf6ebd95">sync_header_invalid_count_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">unsigned</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">9</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abdeb9d34f2c996c717857e41e5194b71"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abdeb9d34f2c996c717857e41e5194b71"></a>
<a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html#abdeb9d34f2c996c717857e41e5194b71">test_sh_r</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="block__sync__sm_8vhd_source.html#l00092">92</a> of file <a class="el" href="block__sync__sm_8vhd_source.html">block_sync_sm.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common_10G/<a class="el" href="block__sync__sm_8vhd_source.html">block_sync_sm.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
